
From: Arjan van de Ven <arjanv@redhat.com>

ide-cd: a few 512 byte scratch buffers can be static; they are just for
putting "padding" sectors in that aren't used.


---

 25-akpm/drivers/ide/ide-cd.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/ide/ide-cd.c~stack-reductions-ide-cd drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~stack-reductions-ide-cd	Thu Mar 25 14:44:44 2004
+++ 25-akpm/drivers/ide/ide-cd.c	Thu Mar 25 14:44:44 2004
@@ -991,7 +991,7 @@ static void cdrom_buffer_sectors (ide_dr
 
 	/* Throw away any remaining data. */
 	while (sectors_to_transfer > 0) {
-		char dum[SECTOR_SIZE];
+		static char dum[SECTOR_SIZE];
 		HWIF(drive)->atapi_input_bytes(drive, dum, sizeof (dum));
 		--sectors_to_transfer;
 	}
@@ -1118,7 +1118,7 @@ static ide_startstop_t cdrom_read_intr (
 
 	while (nskip > 0) {
 		/* We need to throw away a sector. */
-		char dum[SECTOR_SIZE];
+		static char dum[SECTOR_SIZE];
 		HWIF(drive)->atapi_input_bytes(drive, dum, sizeof (dum));
 
 		--rq->current_nr_sectors;

_
